wslusc creates bogus .lnk file that tries to run spotify

Bug #1880649 reported by whitis
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
wslu (Ubuntu)
In Progress
Medium
Patrick Wu

Bug Description

Created link includes a lot of nonsense such as microsoft edge, spotify, gamebar. None of that nonsense is in my windoze or wsl/ubuntu enviroment variables, either. And I checked for malware recently and there is nothing but "netcat" which was deliberately installed. Spotify is installed because it came with the machine.

wsl sudo apt-get install xplanet
wsl sudo apt-get install wslu
wsl sudo apt-get install liblnk-utils

wsl wslusc -gui /usr/bin/xplanet

wsl dpkg -l wslu
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-==============-============-============-=================================
ii wslu 2.3.2-0ubunt all collection of utilities for the W

wsl wslsys
Release Install Date: 0x5e36ca7a
Branch: 19h1_release
Build: 18363
Full Build: 18362.1.amd64fre.19h1_release.190318-1202
Uptime: 0d 0h 0m
Linux Release: Ubuntu 18.04.1 LTS
Linux Kernel: Linux 4.4.0-18362-Microsoft
Packages Count: 1780

wsl lnkinfo /mnt/c/Users/Hp/Desktop/xplanet.lnk

lnkinfo 20171101

Windows Shortcut information:
        Contains a link target identifier
        Contains a relative path string
        Contains a command line arguments string
        Contains an icon location string
        Contains an icon location block

Link information:
        Creation time : Mar 19, 2019 04:45:02.866733500 UTC
        Modification time : Mar 19, 2019 04:45:02.866733500 UTC
        Access time : Feb 02, 2020 14:43:27.923781000 UTC
        File size : 165888 bytes
        Icon index : 0
        Show Window value : 0x00028800
        Hot Key value : 34816
        File attribute flags : 0x00000020
                Should be archived (FILE_ATTRIBUTE_ARCHIVE)
        Drive type : Fixed (3)
        Drive serial number : 0xf8897cc4
        Volume label :
        Local path : C:\Windows\System32\wscript.exe
        Relative path : ..\..\..\..\..\Windows\System32\wscrip
t.exe
        Command line arguments : C:\\Users\\Hp\wslu\runHidden.vbs C:\\U
sers\\Hp\\AppData\\Local\\Microsoft\\WindowsApps\\GameBarElevatedFT_Alias.exe?\\
mnt\\c\\Users\\Hp\\AppData\\Local\\Microsoft\\WindowsApps\\Microsoft.MicrosoftEd
ge_8wekyb3d8bbwe\\MicrosoftEdge.exe?\\mnt\\c\\Users\\Hp\\AppData\\Local\\Microso
ft\\WindowsApps\\Microsoft.XboxGamingOverlay_8wekyb3d8bbwe\\GameBarElevatedFT_Al
ias.exe?\\mnt\\c\\Users\\Hp\\AppData\\Local\\Microsoft\\WindowsApps\\MicrosoftEd
ge.exe?\\mnt\\c\\Users\\Hp\\AppData\\Local\\Microsoft\\WindowsApps\\Spotify.exe?
\\mnt\\c\\Users\\Hp\\AppData\\Local\\Microsoft\\WindowsApps\\SpotifyAB.SpotifyMu
sic_zpdnekdrzrea0\\Spotify.exe run "cd ~; . /usr/share/wslu/wsl-integration.sh;
 /usr/bin/xplanet"
        Icon location : %SystemDrive%\\Users\\Hp\wslu\wsl.ico

Link target identifier:
        Shell item list
                Number of items : 5

        Shell item: 1
                Item type : Root folder
                Class type indicator : 0x1f (Root folder)
                Shell folder identifier : 20d04fe0-3aea-1069-a2d8-08002b30309d
                Shell folder name : My Computer

        Shell item: 2
                Item type : Volume
                Class type indicator : 0x2f (Volume)
                Volume name : C:\

        Shell item: 3
                Item type : File entry
                Class type indicator : 0x31 (File entry: Directory)
                Name : Windows
                Modification time : May 08, 2020 07:08:50
                File attribute flags : 0x00000010
                        Is directory (FILE_ATTRIBUTE_DIRECTORY)
        Extension block: 1
                Signature : 0xbeef0004 (File entry extension)
                Long name : Windows
                Creation time : Mar 19, 2019 04:37:24
                Access time : May 08, 2020 07:08:50
                NTFS file reference : MFT entry: 241172, sequence: 3

        Shell item: 4
                Item type : File entry
                Class type indicator : 0x31 (File entry: Directory)
                Name : System32
                Modification time : May 15, 2020 21:28:36
                File attribute flags : 0x00000010
                        Is directory (FILE_ATTRIBUTE_DIRECTORY)
        Extension block: 1
                Signature : 0xbeef0004 (File entry extension)
                Long name : System32
                Creation time : Mar 19, 2019 04:37:24
                Access time : May 15, 2020 21:28:36
                NTFS file reference : MFT entry: 243080, sequence: 3

        Shell item: 5
                Item type : File entry
                Class type indicator : 0x32 (File entry: File)
                Name : wscript.exe
                Modification time : Mar 19, 2019 04:45:04
                File attribute flags : 0x00000020
                        Should be archived (FILE_ATTRIBUTE_ARCHIVE)
        Extension block: 1
                Signature : 0xbeef0004 (File entry extension)
                Long name : wscript.exe
                Creation time : Mar 19, 2019 04:45:04
                Access time : Feb 02, 2020 14:43:28
                NTFS file reference : MFT entry: 263270, sequence: 2

Distributed link tracking data:
        Machine identifier : desktop-a08lnj3
        Droid volume identifier : 935b88e6-9a9f-41b4-8f62-4e9e40ca01d3
        Droid file identifier : cd464b87-96f3-11ea-9c89-083e8ee17a7e
        Birth droid volume identifier : 935b88e6-9a9f-41b4-8f62-4e9e40ca01d3
        Birth droid file identifier : cd464b87-96f3-11ea-9c89-083e8ee17a7e

Revision history for this message
Patrick Wu (callmepk) wrote :

Thank you for the report.

From the look of it, it is a badly generated ~/.config/wslu/exec/baseexec. Right now we have a fix to solve this problem, but only available for Ubuntu 20.04 LTS for now. It will be available to bionic (and also xenial) very soon.

For now, you can edit thi file manually to `/mnt/c/Users/<Your Windows User Folder>/AppData/Local/Microsoft/WindowsApps/CanonicalGroupLimited.Ubuntu18.04onWindows_79rhkp1fndgsc/ubuntu1804.exe` for "Ubuntu 18.04 LTS" or `/mnt/c/Users/<Your Windows User Folder>/AppData/Local/Microsoft/WindowsApps/CanonicalGroupLimited.UbuntuonWindows_79rhkp1fndgsc/ubuntu.exe` for "Ubuntu".

Also thanks to you, I discovered another bug affecting the latest fix.

Changed in wslu (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
status: Triaged → In Progress
assignee: nobody → Patrick Wu (callmepk)
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers